# cmd_twitch.py
from twitchio.ext import commands

def setup(bot):
    @bot.command(name="greet")
    async def greet(ctx):
        from cmd_common.common_commands import greet
        result = greet(ctx.author.display_name, "Twitch")
        await ctx.send(result)

    @bot.command(name="ping")
    async def ping(ctx):
        from cmd_common.common_commands import ping
        result = ping()
        await ctx.send(result)

    @bot.command(name="howl")
    async def howl_command(ctx):
        from cmd_common.common_commands import generate_howl_message
        result = generate_howl_message(ctx.author.display_name)
        await ctx.send(result)
